* {
    box-sizing: border-box;

    font-family: "Fira Sans", sans-serif;
    font-size: 14px;
}

body {
    margin: 0;
    
    color: rgb(34, 34, 34);
    background-color: rgb(243, 243, 243);
}

form {
    padding: 0;
    margin: 0;
}

fieldset {
    /*min-width: auto;*/
    padding: 4px 16px;
    margin: 8px 8px 12px 8px;
    border: none;
    background-color: white;
    box-shadow: 0 15px 25px -7px rgba(0, 0, 0, .14), 0 -12px 10px -10px rgba(0, 0, 0, .09);
}

fieldset * {
    font-size: 14px;

    color: rgb(103, 106, 108);
}

legend {
    float: left;
    width: 100%;

    padding: 2px 0 8px 0;
    
    text-transform: uppercase;
}

/* non mi piace mettere font e colore qui per� viene ereditato da table (user agent stylesheet) */
legend {
    font-weight: 600;
}

textarea {
    resize: none;
}

/**
    MILAND - aggiunto stile pulsante in linea con i pulsanti nel'header, rispetti a quelli ho tolto
    box-shadow e ridotto la grandezza del font, aggiunto stile a caption per titole in alcune tabelle
*/
input[type=submit], /*BERSIM*/
button {
    display: inline-block;
    
    padding: 4px 8px;
    
    line-height: 20px;
    font-size: 14px;
    
    color: white;
    background-color: rgb(11,114,181);
    border-radius: 3px;
    border: none;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .2);
    
    cursor: pointer;
}

button:hover {
    background-color: rgb(0, 89, 147);
}
input[type=submit]:disabled, /* BERSIM */
button:disabled,
button[disabled]{
    background-color: white;
    cursor: not-allowed !important; 
    color: lightgray;
}

.separator_left {
    margin-left: 4px;
}

caption {
    text-align: left;
    font-weight: 600;
    padding: 4px;
}

/* user-agent stylesheet per font e colore */

input:not([type]), /* BERSIM */
input[type="email"],
input[type="text"],
input[type="password"],
input[type="search"],
textarea,
select {
    padding: 4px 8px;
    outline: none;

    border-top: 0;
    border-right: 0;
    border-bottom: 0;
    border: 1px solid rgb(229, 230, 231);
    border-radius: 3px;
    background-color: rgb(243, 243, 243);
    
    line-height: 20px;
    
    transition: border 0.2s;
}

input[type="file"] {
    padding: 2px 8px;
    outline: none;

    line-height: 20px;
}

input[type="text"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
textarea:focus,
select:focus {
    border-bottom: 2px solid rgb(27, 161, 226);
}

input[required] { /* BERSIM */
    border-left: 3px solid brown;
}

input[type="text"]:disabled,
input[type="text"]:read-only,
input[type="password"]:disabled,
input[type="password"]:read-only,
input[type="search"]:disabled,
input[type="search"]:read-only,
textarea:disabled,
textarea:read-only,
select:disabled {
    border-bottom: 0;
    color: rgb(153, 153, 153);
    background-color: rgb(231, 231, 231);
}

input[type="text"]:-moz-read-only,
input[type="password"]:-moz-read-only,
input[type="search"]:-moz-read-only,
textarea:-moz-read-only {
    border-bottom: 0;
    color: rgb(153, 153, 153);
    background-color: rgb(231, 231, 231);
}

iframe {
    border: none;
}

/**
 * COLORI FONT
 */

.siceweb-fg-red {
    color: rgb(255, 106, 108);
}

.siceweb-fg-orange {
    color: rgb(255, 141, 0);
}

.siceweb-fg-yellow {
    color: rgb(255, 194, 0);
}

.siceweb-fg-green {
    color: rgb(93, 222, 98);
}

.siceweb-fg-blue {
    color: rgb(70, 70, 255);
}

/**
 * ICONE
 */

.siceweb-icon {
    font-size: 20px;
}

.siceweb-icon-disabled {
    color: rgba(103, 106, 108, 0.3);
}

.siceweb-icon:not(.siceweb-icon-disabled) {
    cursor: pointer;
}

/**
 * LAYOUT FINESTRA
 */

.siceweb-window {
    display: flex;
    
    width: 100%; height: 100%;
    
    flex-direction: column;
}

.siceweb-header {
	padding: 20px 24px;
	
	/* NEWLOGO */
    position: relative;
    
    height: 64px;
    /* FINE NEWLOGO */
    
    font-size: 20px;
    line-height: 24px;

    color: white;
    background-image: -webkit-linear-gradient(90deg, rgba(0, 0, 0, .88) 0%, rgba(0, 114, 188, .92) 48%, rgba(0, 114, 188, .92) 52%, rgba(0, 0, 0, .88) 100%), url(images/siceweb_titlebar.jpg);
    background-image: -moz-linear-gradient(90deg, rgba(0, 0, 0, .88) 0%, rgba(0, 114, 188, .92) 48%, rgba(0, 114, 188, .92) 52%, rgba(0, 0, 0, .88) 100%), url(images/siceweb_titlebar.jpg);
    background-image: -ms-linear-gradient(90deg, rgba(0, 0, 0, .88) 0%, rgba(0, 114, 188, .92) 48%, rgba(0, 114, 188, .92) 52%, rgba(0, 0, 0, .88) 100%), url(images/siceweb_titlebar.jpg);
    background-image: linear-gradient(90deg, rgba(0, 0, 0, .88) 0%, rgba(0, 114, 188, .92) 48%, rgba(0, 114, 188, .92) 52%, rgba(0, 0, 0, .88) 100%), url(images/siceweb_titlebar.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right center;
}

/* NEWLOGO */
.siceweb-header > img {
	position: absolute;
	
	left: 64px;
	top: 18px;
	
	height: 26px;
}
/* FINE NEWLOGO */

.siceweb-header-iscriz {
    background-image: linear-gradient(90deg, rgba(0, 0, 0, .88) 0%, rgba(0, 114, 188, .92) 48%, rgba(0, 114, 188, .92) 52%, rgba(0, 0, 0, .88) 100%);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right center;
    height: 70px; 
    width: 100%;
    padding-left: 2%;
}

.siceweb-header .siceweb-icon {
    float: left;

    font-size: 24px;
    
    padding: 0px 4px;
}

.siceweb-version {
  	float: right;
 	color: white;
 }

.siceweb-header-toolbar {
    float: right;
}


.siceweb-container {
    display: flex;
    
    flex: 1 0;
}

.siceweb-sidebar {
    position: relative;

    width: 240px;

    transition: width 0.2s;
}

.siceweb-sidebar-collapsed {
    width: 0;
}

.siceweb-area-container {
    display: flex;

    flex: 1 0;
    flex-direction: column;

    overflow: hidden;
}

.siceweb-area-content {
    position: relative;
    
    flex: 1 0;
}

.siceweb-area-header {
    position: relative;
    
    height: 142px;
}

.siceweb-area-footer {
    position: relative;
    
    height: 48px;
}

.siceweb-area-header > iframe,
.siceweb-area-footer > iframe,
.siceweb-area-content > iframe,
.siceweb-sidebar > iframe {
    position: absolute;
    
    width: 100%;
    height: 100%;
}

/**
 * SIDEBAR
 */

.siceweb-sidebar-favourite {
    height: 160px;
    
    border-bottom: 1px solid rgb(226, 226, 226);
    
    overflow-x: hidden;
    overflow-y: auto;
    
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.siceweb-sidebar-favourite::-webkit-scrollbar {
    display: none;
}

.siceweb-sidebar-favourite > .siceweb-sidebar-favourite-item:first-child {
    color: rgba(34, 34, 34, 0.5);
}

.siceweb-sidebar-favourite-item {
    padding: 8px;
    
    height: 32px;
    
    line-height: 16px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.siceweb-sidebar-favourite-item:not(:first-child) {
    cursor: pointer;
}

.siceweb-sidebar-favourite-item:not(:first-child):hover {
    color: white;
    background-color: rgb(11, 114, 181);
}

.siceweb-sidebar-menubar {
    height: calc(100vh - 160px);
    
    overflow-x: hidden;
    overflow-y: auto;
    
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.siceweb-sidebar-menubar::-webkit-scrollbar {
    display: none;
}

.siceweb-sidebar-menubar-item {
    line-height: 16px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    
    border-bottom: 1px solid rgb(226, 226, 226);
    background-size: 200%;
    
    cursor: pointer;

    transition: color 0.3s, background-position 0.3s;
}

.siceweb-sidebar-menubar-item:hover {
    color: white;
    background-position: -100% 100%;
}

.siceweb-sidebar-menubar-item > span {
    float: left;
}

.siceweb-sidebar-menubar-menu::after {
    content: "\f146";
    
    float: right;
    
    font-family: icons8_win10;
}

.siceweb-sidebar-menubar-menu-collapsed::after {
    content: "\f143";
}

.siceweb-sidebar-content {
    max-height: 0;

    background-color: rgb(243, 243, 243);
    
    overflow: hidden;

    transition: max-height 0.2s;
}

.siceweb-sidebar-level0.siceweb-sidebar-menubar-item {
    height: 48px;

    padding: 16px 8px;

    background-image: -webkit-linear-gradient(90deg, transparent 0%, transparent 50%, rgb(22, 22, 22) 50%, rgb(0, 114, 188) 100%);
    background-image: -moz-linear-gradient(90deg, transparent 0%, transparent 50%, rgb(22, 22, 22) 50%, rgb(0, 114, 188) 100%);
    background-image: -ms-linear-gradient(90deg, transparent 0%, transparent 50%, rgb(22, 22, 22) 50%, rgb(0, 114, 188) 100%);
    background-image: linear-gradient(90deg, transparent 0%, transparent 50%, rgb(22, 22, 22) 50%, rgb(0, 114, 188) 100%);
}

.siceweb-sidebar-levelx.siceweb-sidebar-menubar-item {
    height: 40px;

    padding: 12px 8px;

    border-left: 2px solid rgb(11, 114, 181);
    background-image: -webkit-linear-gradient(90deg, transparent 0%, transparent 50%, rgb(11, 114, 181) 50%, rgb(11, 114, 181) 100%);
    background-image: -moz-linear-gradient(90deg, transparent 0%, transparent 50%, rgb(11, 114, 181)  50%, rgb(11, 114, 181) 100%);
    background-image: -ms-linear-gradient(90deg, transparent 0%, transparent 50%, rgb(11, 114, 181) 50%, rgb(11, 114, 181) 100%);
    background-image: linear-gradient(90deg, transparent 0%, transparent 50%, rgb(11, 114, 181) 50%, rgb(11, 114, 181) 100%);
}

/* TEMPORANEO */

.siceweb-sidebar-menubar-menu:not(.siceweb-sidebar-menubar-menu-collapsed) + .siceweb-sidebar-content {
    max-height: none;
}

/* CONTENITORE IMPRESA - CONSULENTI*/
.siceweb-sidebar-company {
    height: 100px;
    
    border-bottom: 1px solid rgb(226, 226, 226);
    
    overflow-x: hidden;
    overflow-y: auto;
    
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.siceweb-sidebar-company-item {
	padding: 4px 6px;
}

.siceweb-sidebar-favourite-item-selected,
.siceweb-sidebar-menubar-item-selected {
    color: rgb(4, 100, 133);
    background-color: rgb(213, 233, 253);
}

/**
 * LAYOUT AREA APPLICATIVA
 */

.siceweb-area-header-title {
    padding: 8px;

    font-size: 20px;
    font-weight: 600;
    
    white-space: nowrap;
}

.siceweb-area-header-toolbar {
    padding: 4px 8px;
    
    white-space: nowrap;
}

.siceweb-area-header-toolbar .siceweb-icon {
    display: inline-block;

    padding: 4px 8px;

    font-size: 24px;

    border-radius: 3px;
    color: white;
    background-color: rgb(11, 114, 181);

    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .2);
}

.siceweb-area-header-toolbar .siceweb-icon-disabled {
    color: rgba(255, 255, 255, 0.3);
    background-color: rgba(11, 114, 181, .3);
}

.siceweb-area-header-toolbar .siceweb-icon:not(.siceweb-icon-disabled) {
    cursor: pointer;
}

.siceweb-area-header-toolbar .siceweb-icon:hover:not(.siceweb-icon-disabled) {
    background-color: rgb(0, 89, 147);
}

.siceweb-area-header-menubar {
    padding: 4px 8px;
    
    line-height: 16px;
    white-space: nowrap;
}

.siceweb-area-header-menubar .siceweb-icon {
    display: inline-block;
    
    padding: 4px 8px;

    font-size: 14px;

    outline: none;
    border: none;
    border-radius: 3px;
    color: white;
    background-color: rgb(11, 172, 181);

    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .2);
}

.siceweb-area-header-menubar .siceweb-icon-disabled {
    color: rgba(255, 255, 255, 0.3);
    background-color: rgba(11, 172, 181, .3);
}

.siceweb-area-header-menubar .siceweb-icon:not(.siceweb-icon-disabled) {
    cursor: pointer;
}

.siceweb-area-header-menubar .siceweb-icon:hover:not(.siceweb-icon-disabled) {
    background-color: rgb(0, 147, 147);
}

.siceweb-area-header-messagebar {
    padding: 4px 8px;
    
    white-space: nowrap;
}

.siceweb-message {
    display: inline-block;
    
    padding: 4px 8px;
    
    font-size: 12px;

    border-radius: 3px;
    background-color: white;
    
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .2);
}

.siceweb-message:empty {
    display: none;
}

/*
.siceweb-area-header::before,
.siceweb-area-content::before {
    content: "";

    position: absolute;

    left: 0; top: 0;
    width: 100%; height: 100%;

    z-index: 100;

    pointer-events: none;
}

.siceweb-area-content::before {
    box-shadow: inset 7px 0 9px -7px rgba(0,0,0,0.4);
}

.siceweb-area-header::before {
    box-shadow: inset 7px 0 9px -7px rgba(0,0,0,0.4), inset 0 7px 9px -7px rgba(0,0,0,0.4);
}
*/

.siceweb-area-container {
    position: relative;
}

.siceweb-area-container::before {
    content: "";

    position: absolute;

    left: 0; top: 0;
    width: 100%; height: 100%;

    z-index: 100;

    pointer-events: none;
    
    box-shadow: inset 7px 0 9px -7px rgba(0,0,0,0.4), inset 0 7px 9px -7px rgba(0,0,0,0.4);
}

/**
 * HACK
 */

div#listaPratichePopup {
    position: fixed;
}

/**
 * RESPONSIVE FORMS
 */

.siceweb-row::after {
    content: "";

    clear: both;

    display: table;
}

.siceweb-col-1 {
    width: calc(100% / 12);
}

.siceweb-col-2 {
    width: calc(100% / 12 * 2);
}

.siceweb-col-3 {
    width: calc(100% / 12 * 3);
}

.siceweb-col-4 {
    width: calc(100% / 12 * 4);
}

.siceweb-col-5 {
    width: calc(100% / 12 * 5);
}

.siceweb-col-6 {
    width: calc(100% / 12 * 6);
}

.siceweb-col-7 {
    width: calc(100% / 12 * 7);
}

.siceweb-col-8 {
    width: calc(100% / 12 * 8);
}

.siceweb-col-9 {
    width: calc(100% / 12 * 9);
}

.siceweb-col-10 {
    width: calc(100% / 12 * 10);
}

.siceweb-col-11 {
    width: calc(100% / 12 * 11);
}

.siceweb-col-12 {
    width: 100%;
}

@media only screen and (min-width: 600px) and (max-width: 768px) {
    .siceweb-col-m-1 {
        width: calc(100% / 12);
    }

    .siceweb-col-m-2 {
        width: calc(100% / 12 * 2);
    }

    .siceweb-col-m-3 {
        width: calc(100% / 12 * 3);
    }

    .siceweb-col-m-4 {
        width: calc(100% / 12 * 4);
    }

    .siceweb-col-m-5 {
        width: calc(100% / 12 * 5);
    }

    .siceweb-col-m-6 {
        width: calc(100% / 12 * 6);
    }

    .siceweb-col-m-7 {
        width: calc(100% / 12 * 7);
    }

    .siceweb-col-m-8 {
        width: calc(100% / 12 * 8);
    }

    .siceweb-col-m-9 {
        width: calc(100% / 12 * 9);
    }

    .siceweb-col-m-10 {
        width: calc(100% / 12 * 10);
    }

    .siceweb-col-m-11 {
        width: calc(100% / 12 * 11);
    }

    .siceweb-col-m-12 {
        width: 100%;
    }
}

@media only screen and (max-width: 600px) {
    .siceweb-col-s-1 {
        width: calc(100% / 12);
    }

    .siceweb-col-s-2 {
        width: calc(100% / 12 * 2);
    }

    .siceweb-col-s-3 {
        width: calc(100% / 12 * 3);
    }

    .siceweb-col-s-4 {
        width: calc(100% / 12 * 4);
    }

    .siceweb-col-s-5 {
        width: calc(100% / 12 * 5);
    }

    .siceweb-col-s-6 {
        width: calc(100% / 12 * 6);
    }

    .siceweb-col-s-7 {
        width: calc(100% / 12 * 7);
    }

    .siceweb-col-s-8 {
        width: calc(100% / 12 * 8);
    }

    .siceweb-col-s-9 {
        width: calc(100% / 12 * 9);
    }

    .siceweb-col-s-10 {
        width: calc(100% / 12 * 10);
    }

    .siceweb-col-s-11 {
        width: calc(100% / 12 * 11);
    }

    .siceweb-col-s-12 {
        width: 100%;
    }
}

[class*="siceweb-col-"] {
    float: left;

    padding: 2px 4px;
    
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

[class*="siceweb-col-"] > label {
    display: inline-block;
    
    /*padding: 4px 0;*/
    
    font-weight: 600;
}

.siceweb-field {
    display: table;
    width: 100%; /* TODO */
    min-height: 32px;
    text-align: right;
}

.siceweb-field.siceweb-field-text {
    white-space: normal;
    text-align: justify;
}

@supports (-moz-appearance:none) {
    
    .siceweb-field {
        height: 32px;
    }
}

.siceweb-field-cell {
    display: table-cell;
    
    vertical-align: middle;
}

.siceweb-field-cell:only-child {
    text-align: left;
}

.siceweb-field-cell:first-child {
    width: 100%;
}

.siceweb-field-cell > input[type="text"],
.siceweb-field-cell > input[type="password"],
.siceweb-field-cell > input[type="search"],
.siceweb-field-cell > input[type="file"],
.siceweb-field-cell > textarea,
.siceweb-field-cell > select,
.siceweb-field-cell > button {
    width: 100%;
}

.siceweb-field-cell > div.decodif,
.siceweb-field-cell > div.ok,
.siceweb-field-cell > div.errore {
    padding: 4px 8px;
}

.siceweb-field-cell > div.ok {
    color: rgb(4, 133, 4);
    border-left: 2px solid rgb(4, 133, 4);
    background-image: linear-gradient(to right, rgba(213, 253, 213, 1), rgba(213, 253, 213, 0));
}

.siceweb-field-cell > div.errore {
    color: rgb(133, 4, 4);
    border-left: 2px solid rgb(133, 4, 4);
    background-image: linear-gradient(to right, rgba(255, 205, 205, 1), rgba(255, 205, 205, 0));
}

.siceweb-field-cell.siceweb-field-cell-neutral {
    background-color: rgb(205, 230, 255);
}

.siceweb-field-cell.siceweb-field-cell-yellow {
    background-color: rgb(255, 243, 205);
}

.siceweb-field-cell.siceweb-field-cell-red {
    background-color: rgb(255, 205, 205);
}

/**
 * RESPONSIVE TABLES
 */

.siceweb-table {
    width: 100%;
    
    /*border: 1px solid rgb(235, 235, 235);*/
    border: none;
    border-collapse: collapse;
}

.siceweb-table > thead > tr,
.siceweb-table > tfoot > tr {
    font-weight: 600;
}

.siceweb-table > tbody > tr:nth-of-type(odd) {
    background-color: rgb(249, 249, 249);
}

.siceweb-table > tbody > tr:hover {
    background-color: rgb(223, 243, 253);
}

/**
    MILAND - aggiunta tfoot
*/

.siceweb-table > thead > tr > th,
.siceweb-table > tbody > tr > td,
.siceweb-table > tfoot > tr > td {
    padding: 8px;
    
    line-height: 20px;
    text-align: center;
    white-space: nowrap;
}

.siceweb-table > tbody > tr > td.errore {
	border: 2px solid #d84d4d;
    background-color: #ffcccc;
    padding: 8px;
}

.siceweb-table > tbody > tr > td.ok {
	border: 2px solid #70b578;
    background-color: #dbeddc;
    padding: 8px;
}

/**
    PROVA PER SISTEMARE DECODIF IN TABELLE
*/

.siceweb-table > tbody > tr > td > div.decodif {
    line-height: 20px;
    text-align: center !important;
    white-space: nowrap;
}

.siceweb-table > thead > tr > th {
    position: -webkit-sticky;
    position: sticky;
    top: 0;

    background-color: rgb(245, 245, 246);
}

/*
.siceweb-table > thead > tr > th::before {
    content: "";
    
    position: absolute;
    left: 0; top: 0;
    width: 100%; height: 100%;
    
    box-sizing: border-box;
    
    border: 1px solid rgb(225, 225, 225);
    border-width: 1px 0;
}
*/

.siceweb-table > thead > tr > th::before,
.siceweb-table > thead > tr > th::after {
    content: "";

    position: absolute;
    left: 0;
    width: 100%; height: 1px;

    background-color: rgb(225, 225, 225);
}

.siceweb-table > thead > tr > th::before {
    top: 0;
}

.siceweb-table > thead > tr > th::after {
    bottom: 0;
}

.siceweb-table > tbody > tr > td > input[type="text"],
.siceweb-table > tbody > tr > td > input[type="password"],
.siceweb-table > tbody > tr > td > input[type="search"],
.siceweb-table > tbody > tr > td > select {
    width: 100%;
}

/**
 * SCROLL BUTTONS
 */

.siceweb-scrollbutton {
    position: fixed;
    
    padding: 4px 0;
    
    width: 100%;
    
    font-size: 16px;
    line-height: 16px;
    text-align: center;
    
    color: white;
    /*
    background: -webkit-linear-gradient(90deg, transparent 0, rgba(0, 84, 151, 0.7) 50%, transparent 100%);
    background: -moz-linear-gradient(90deg, transparent 0, rgba(0, 84, 151, 0.7) 50%, transparent 100%);
    background: -ms-linear-gradient(90deg, transparent 0, rgba(0, 84, 151, 0.7) 50%, transparent 100%);
    background: linear-gradient(90deg, transparent 0, rgba(0, 84, 151, 0.7) 50%, transparent 100%);
    */
    background-color: rgba(0, 84, 151, 0.7);
    
    /*transition: opacity 0.2s;*/
}

.siceweb-sidebar-favourite:not(:hover) > .siceweb-scrollbutton,
.siceweb-sidebar-menubar:not(:hover) > .siceweb-scrollbutton {
    display: none !important;
    
    /*opacity: 0 !important;*/
}

/**
 * FOOTER
 */

.siceweb-footer-block {
    color: rgb(243, 243, 243);
    background-color: rgb(0, 89, 147);

    padding: 16px 8px;
    vertical-align: top;

    font-size: 12px;
    font-weight: 600;
    line-height: 16px;

    transition: background-color 400ms linear;

    display: inline-block;

    cursor: pointer;
}

.siceweb-footer-nav {
    background-color: rgb(0, 89, 147);

    width: 100%;   
}

.siceweb-footer-block.selected {
    background-color: rgba(144, 190, 220, 0.67);

    transition: background-color 400ms linear;

}

/**
 * POPUP
 */

div#greyGlassDiv {
    position: absolute;
    
    left: 0; top: 0;
    width: 100%; height: 100%;
    
    z-index: 100;
    
    background-color: rgba(0, 0, 0, 0.25);
    
    visibility: hidden;
    
    cursor: not-allowed;
}

.siceweb-popup {
    display: flex;
    
    flex-direction: column;
    
    color: rgb(34, 34, 34);
    background-color: rgb(243, 243, 243);
    border: 1px solid rgb(226, 226, 226);
    border-radius: 3px;
    
    box-shadow: rgba(0, 0, 0, 0.5) 0px 2px 4px 0px;
    /*box-shadow: 0 15px 25px -7px rgba(0, 0, 0, .34), 0 -12px 10px -10px rgba(0, 0, 0, .29);*/
}

.siceweb-popup > :first-child {
    flex: 0;
}

.siceweb-popup > :not(:first-child) {
    flex: 1;
}

.siceweb-popup > div:not(:first-child) {
    overflow: auto;
}

.siceweb-popup-header {
    display: flex;
    
    padding: 8px;
    
    line-height: 24px;
}

.siceweb-popup-header > :first-child {
    flex: 1;
    
    font-weight: 600;
    
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.siceweb-popup-header > :not(:first-child) {
    flex: 0;
}

/*
.siceweb-popup-header {
    padding: 4px 8px;
    
    font-size: 14px;
    line-height: 24px;

    color: white;
    background-color: rgb(128, 0, 0);
    
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.siceweb-popup-header::after {
    content: "";

    clear: both;

    display: table;
}

.siceweb-popup-header .siceweb-icon {
    float: right;
}
*/

.siceweb-popup-toolbar-container::after {
    content: "";

    clear: both;

    display: table;
}

.siceweb-popup-toolbar {
    float: right;
    
    padding: 4px 8px;
    
    white-space: nowrap;
}

.siceweb-popup-toolbar .siceweb-icon {
    display: inline-block;

    padding: 4px 8px;

    font-size: 24px;

    border-radius: 3px;
    color: white;
    background-color: rgb(11, 114, 181);

    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, .2);
}

.siceweb-popup-toolbar .siceweb-icon-disabled {
    color: rgba(255, 255, 255, 0.3);
    background-color: rgba(11, 114, 181, .3);
}

.siceweb-popup-toolbar .siceweb-icon:not(.siceweb-icon-disabled) {
    cursor: pointer;
}

.siceweb-popup-toolbar .siceweb-icon:hover:not(.siceweb-icon-disabled) {
    background-color: rgb(0, 89, 147);
}

/**
 * NOTIFICHE
 */

.siceweb-notification,
.siceweb-notification-neutral {
	display: flex;
	align-items: center;
	
    margin-top: 8px;
    padding: 4px 8px;
    
    border-left-width: 4px;
    border-left-style: solid;
    
    color: rgb(133, 100, 4);
    border-left-color: rgb(240, 173, 78);
    background-color: rgb(255, 243, 205);
}

/*Blu - Azzurro*/
.siceweb-notification.siceweb-notification-neutral {
    color: rgb(35, 70, 150);
    border-left-color: rgb(45, 105, 205);
    background-color: rgb(205, 230, 255);
}

/*Verde*/
.siceweb-notification.siceweb-notification-info {
    color: rgb(10, 120, 80);
    border-left-color: rgb(25, 180, 90);
    background-color: rgb(185, 255, 205);
}

/*Arancione - Giallo*/
.siceweb-notification {
	color: rgb(133, 100, 4);
    border-left-color: rgb(240, 173, 78);
    background-color: rgb(255, 243, 205);
}

/*Rosso*/
.siceweb-notification.siceweb-notification-error {
    color: rgb(133, 4, 4);
    border-left-color: rgb(240, 78, 78);
    background-color: rgb(255, 205, 205);
}

.siceweb-notification > .siceweb-notification-icon {
	flex: 0;
	
	font-size: 20px;
	
	padding-right: 4px;
}

.siceweb-notification > .siceweb-notification-body {
	flex: 1;
}

.siceweb-notification-container > .siceweb-notification,
.siceweb-notification-container > .siceweb-notification.siceweb-notification-neutral
 {
    float: left;
    
    width: 100%;
}

.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-1,
.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-2,
.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-5,
.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-10 {
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
}

.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-1 {
    -webkit-line-clamp: 1;
}

.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-2 {
    -webkit-line-clamp: 2;
}

.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-5 {
    -webkit-line-clamp: 5;
}

.siceweb-notification > .siceweb-notification-body > .siceweb-notification-paragraph-10 {
    -webkit-line-clamp: 10;
}

/*
.siceweb-notification-warning {
    color: rgb(133, 100, 4);
    border-left-color: rgb(240, 173, 78);
    background-color: rgb(255, 243, 205);
}

.siceweb-notification-error {
    color: rgb(133, 4, 4);
    border-left-color: rgb(240, 78, 78);
    background-color: rgb(255, 205, 205);
}

.siceweb-notification-info {
    color: rgb(10, 120, 80);
    border-left-color: rgb(25, 180, 90);
    background-color: rgb(185, 255, 205);
}

.siceweb-notification-neutral {
    color: rgb(35, 70, 150);
    border-left-color: rgb(45, 105, 205);
    background-color: rgb(205, 230, 255);
}
*/

/**
 * BOX MSG LOGIN/LOGOUT/LOGERROR
 */

.siceweb-msg-body {
	background-image: url("../img/z-logout.jpg");
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
}

.siceweb-msg-box {
    box-shadow: 0px 0px 35px 10px rgba(0,0,0, .2);
	background-color: rgba(255, 255, 255)!important;
	
   	border-radius: 4px;
   	padding: 16px;
   	
   	left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    position: absolute;
}

.siceweb-msg-top {
	margin: 0 auto !important;
    border-bottom: 0 !important;
    padding: 14px;
	text-align: center;    
}

.siceweb-msg-top > img{
	border-radius: 4px 4px 0 0;
	
	width: 80%;
	height: auto;
}

.siceweb-msg-middle {
	background-color: rgba(255, 255, 255);
	
	border-radius: 4px 4px 0px 0px;
    padding: 14px 10px;
    
    position: relative;
    height: auto;
    
    width: 100%;
    font-weight: 600;
    text-align: center;
}

.siceweb-msg-foot {
	background-color: rgba(255, 255, 255);
	
	border-radius: 0 0 4px 4px;
	padding: 20px 10px 8px;
	margin: 0 auto;
	
	position: relative;
	width: 100%;
	
	font-size: 11px;
	font-weight: 300;
	text-align: center;
}

/**
 *	TABELLA ERRORI
 */
 
 .siceweb-block-error {
 	text-align: center;
 	
 	color: rgb(133, 4, 4);
    background-color: rgb(255, 205, 205);
 }
 
 .siceweb-bypass-error {
 	text-align: center;
 	
 	color: rgb(133, 100, 4);
    background-color: rgb(255, 243, 205);
 }
 
.siceweb-table.error > tbody > tr > td{
	white-space: normal;
}

.siceweb-field-cell-left{
	display: table-cell;
	vertical-align: middle;
	display: inline;
	text-align: left;
	
}
 
 .siceweb-field-left{
 	display: table;
    width: 100%; /* TODO */
    min-height: 32px;
    text-align: left;
    display: flow-root;
 }
